Package com.collabnet.ce.soap60

# Class SoapServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.apache.axis.transport.http.AxisServletBase
org.apache.axis.transport.http.AxisServlet
com.vasoftware.sf.axis.AxisServletWithProperWsdlEndpoints
com.collabnet.ce.soap60.SoapServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

public class SoapServlet extends com.vasoftware.sf.axis.AxisServletWithProperWsdlEndpoints

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.apache.axis.transport.http.AxisServlet

  `INIT_PROPERTY_DISABLE_SERVICES_LIST, INIT_PROPERTY_ENABLE_LIST, INIT_PROPERTY_JWS_CLASS_DIR, INIT_PROPERTY_SERVICES_PATH, INIT_PROPERTY_TRANSPORT_NAME, INIT_PROPERTY_USE_SECURITY, log`

  ### Fields inherited from class org.apache.axis.transport.http.AxisServletBase

  `ATTR_AXIS_ENGINE, axisServer`

  ### Fields inherited from class jakarta.servlet.http.HttpServlet

  `LEGACY_DO_HEAD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoapServlet()`

- ## Method Summary

  ### Methods inherited from class com.vasoftware.sf.axis.AxisServletWithProperWsdlEndpoints

  `doGet, reportAvailableServices`

  ### Methods inherited from class org.apache.axis.transport.http.AxisServlet

  `doPost, getDefaultJWSClassDir, getHttpServletResponseStatus, getJWSClassDir, init, initQueryStringHandlers, logException, processAxisFault, reportCantGetAxisService, reportCantGetJWSService, reportNoWSDL, reportServiceInfo`

  ### Methods inherited from class org.apache.axis.transport.http.AxisServletBase

  `decLockCounter, destroy, getEngine, getEngine, getEngineEnvironment, getHomeDir, getLoadCounter, getOption, getServletContext, getWebappBase, getWebInfPath, incLockCounter, isDevelopment, service`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doHead, doOptions, doPut, doTrace, getLastModified, init, service`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `getInitParameter, getInitParameterNames, getServletConfig, getServletInfo, getServletName, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SoapServlet

    public SoapServlet()